dbXML API

## com.dbxml.db.core.extension
Class ExtensionRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.extension.ExtensionException
                          com.dbxml.db.core.extension.ExtensionRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public final class ExtensionRuntimeException
extends ExtensionException

A ExtensionRuntimeException is thrown if an uncaught Exception occurs while executing an Extension's method.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`ExtensionRuntimeException(java.lang.String message, java.lang.Throwable wrapped)`
`ExtensionRuntimeException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionRuntimeException

    public ExtensionRuntimeException(java.lang.Throwable wrapped)

### ExtensionRuntimeException

    public ExtensionRuntimeException(java.lang.String message,
                                     java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group